Page MenuHomePhabricator

[clang-tidy] Fix crash on end location inside macro
ClosedPublic

Authored by Nathan-Huckleberry on Jul 11 2019, 5:27 PM.

Details

Summary

Lexer::getLocForEndOfToken is defined to return an
invalid location if the given location is inside a macro.
Other checks conditionally warn based off location
validity. Updating this check to do the same.

Event Timeline

Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 5:27 PM
  • Ran git-clang-format
nickdesaulniers accepted this revision.Jul 12 2019, 12:26 PM

Thanks for the fix.

This revision is now accepted and ready to land.Jul 12 2019, 12:26 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 17 2019, 10:22 AM